Package org.eclipse.jface.databinding.dialog

# Class ValidationMessageProvider

java.lang.Object
org.eclipse.jface.databinding.dialog.ValidationMessageProvider

All Implemented Interfaces:
  `IValidationMessageProvider`

public class ValidationMessageProvider extends Object implements IValidationMessageProvider
Standard implementation of the `IValidationMessageProvider` interface.

Since:
  1.4

## Constructor Summary

Constructors
Constructor
Description
`ValidationMessageProvider()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage(ValidationStatusProvider statusProvider)`
Returns the `message` of the `IStatus` contained in the provided `validationStatusProvider` as is or `null` if the `validationStatusProvider` is itself `null`.
`int`
`getMessageType(ValidationStatusProvider statusProvider)`
Returns the message type defined in `IMessageProvider` which naturally maps to the `IStatus.getSeverity()` of the `IStatus` contained in the provided `validationStatusProvider`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValidationMessageProvider

public ValidationMessageProvider()

## Method Details

### getMessage

public String getMessage(ValidationStatusProvider statusProvider)
Returns the `message` of the `IStatus` contained in the provided `validationStatusProvider` as is or `null` if the `validationStatusProvider` is itself `null`.

Specified by:
  `getMessage` in interface `IValidationMessageProvider`
Parameters:
  `statusProvider` - the `ValidationStatusProvider` for which to provide a message text. May be `null`.
Returns:
  The validation message text for the given `validationStatusProvider`. May be `null`.

### getMessageType

public int getMessageType(ValidationStatusProvider statusProvider)
Returns the message type defined in `IMessageProvider` which naturally maps to the `IStatus.getSeverity()` of the `IStatus` contained in the provided `validationStatusProvider`.

Specified by:
  `getMessageType` in interface `IValidationMessageProvider`
Parameters:
  `statusProvider` - the `ValidationStatusProvider` for which to provide a message type. May be `null`.
Returns:
  The validation message type for the given `validationStatusProvider`.